import React from 'react';
import { Flexbox, Flag, Typography } from '../../../..';
var CountryCodeLabel = function CountryCodeLabel(_ref) {
  var _ref$countryCode = _ref.countryCode,
    countryCode = _ref$countryCode === void 0 ? 'se' : _ref$countryCode,
    _ref$prefixCode = _ref.prefixCode,
    prefixCode = _ref$prefixCode === void 0 ? '+46' : _ref$prefixCode,
    _ref$noPrefix = _ref.noPrefix,
    noPrefix = _ref$noPrefix === void 0 ? false : _ref$noPrefix;
  return React.createElement(Flexbox, {
    container: true,
    alignItems: "center",
    gap: 2
  }, React.createElement(Flexbox, {
    item: true
  }, React.createElement(Flag, {
    country: countryCode.toLowerCase(),
    size: "s"
  })), !noPrefix && React.createElement(Flexbox, {
    item: true
  }, React.createElement(Typography, {
    type: "secondary"
  }, prefixCode)));
};
export default CountryCodeLabel;